Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.threeD.io
Class JTextAreaPrintWriter

    java.lang.Object
      net.sf.j3d.threeD.io.JTextAreaPrintWriter

All Implemented Interfaces:
  PrintWriter

    public class JTextAreaPrintWriter

extends Object
implements PrintWriter

A JTextAreaPrintWriter object can be used as an interface for printing text into a JTextArea object.

Constructor Summary
`JTextAreaPrintWriter()` Constructs a new JTextAreaPrintWriter using a new default JTextArea object.
`JTextAreaPrintWriter(JTextArea textArea)` Constructs a new JTextAreaPrintWriter using the specified JTextArea object.

Method Summary
`JTextArea` | `getTextArea()` Returns the JTextArea object used by this JTextAreaPrintWriter.
`void` | `lessIndent()` Reduces the indent used for this JTextAreaPrintWriter object.
`void` | `moreIndent()` Increases the indent used for this JTextAreaPrintWriter object.
`void` | `print(String s)` Appends the specified String to the JTextArea used by this JTextAreaPrintWriter.
`void` | `println()` Appends a new line character to the JTextArea used by this JTextAreaPrintWriter.
`void` | `println(String s)` Appends the specified String, followed by a new line character, to the JTextArea used by this JTextAreaPrintWriter.
`void` | `setTextArea(JTextArea textArea)` Sets the JTextArea object used by this JTextAreaPrintWriter to the specified JTextArea object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTextAreaPrintWriter

    public JTextAreaPrintWriter()

  Constructs a new JTextAreaPrintWriter using a new default JTextArea object.

### JTextAreaPrintWriter

    public JTextAreaPrintWriter(JTextArea textArea)

  Constructs a new JTextAreaPrintWriter using the specified JTextArea object.

Method Detail

### setTextArea

    public void setTextArea(JTextArea textArea)

  Sets the JTextArea object used by this JTextAreaPrintWriter to the specified JTextArea object.

### getTextArea

    public JTextArea getTextArea()

  Returns the JTextArea object used by this JTextAreaPrintWriter.

### moreIndent

    public void moreIndent()

  Increases the indent used for this JTextAreaPrintWriter object.

  Specified by:
    `moreIndent` in interface `PrintWriter`

### lessIndent

    public void lessIndent()

  Reduces the indent used for this JTextAreaPrintWriter object.

  Specified by:
    `lessIndent` in interface `PrintWriter`

### print

    public void print(String s)

  Appends the specified String to the JTextArea used by this JTextAreaPrintWriter.

  Specified by:
    `print` in interface `PrintWriter`

### println

    public void println(String s)

  Appends the specified String, followed by a new line character, to the JTextArea used by this JTextAreaPrintWriter.

  Specified by:
    `println` in interface `PrintWriter`

### println

    public void println()

  Appends a new line character to the JTextArea used by this JTextAreaPrintWriter.

  Specified by:
    `println` in interface `PrintWriter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD